Subject: bug#47150: 28.0.50; Incorrect major-mode in minibuffer

From: Stefan Monnier <[email-masked]>
Date: Mon, 22 Mar 2021 14:12:49 -0400

> I am not suggesting anything wrong with (minibufferp). What I have in mind
> is that it would be better if there is a mode for the minibuffer, so that
> existing packages can still use *-modes, *-global-modes, *-inhibit-modes,
> etc. to decide whether to enable or disable some functionalities.

FWIW, these techniques sound pretty brittle, so I'd put the blame on the
use of those techniques rather than on Alan's change ;-)

        Stefan